xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cameron McCormack <cam-batik-us...@aka.mcc.id.au>
Subject Re: Antwort: bogus batik source (1.6) distribution? - no way
Date Mon, 12 Sep 2005 04:31:35 GMT
Kenneth B. Harwood:
> the good news is that i was able to <build batik> by 
> installing/using j2sdk1.4.2_09.  back to the future.
> 
> my best clues were the compile errors i was getting on 
> the DOM-related batik files.  many error messages referred 
> to an unimplemented "getUserData" function in the Node 
> interface.  when i looked at the DOM API docs i discovered 
> that "getUserData" is a DOM Level-3 function.  
> 
> apparently, jdk1.5X uses DOM-3 but batik was coded to DOM-2.

Yes, at the time of the 1.6 release Batik didn't implement DOM 3.
You can pass the option '-source 1.4' to javac to tell it to compile
such that these problems of updated DOM interfaces included with the
JDK are avoided.  The code in SVN does implement DOM 3, though, so this
problem won't exist in the next release.

Cameron

-- 
  e-mail : cam (at) mcc.id.au    	icq : 26955922
     web : http://mcc.id.au/	        msn : cam-msn (at) aka.mcc.id.au
  office : +61399055779		     jabber : heycam (at) jabber.org

---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: batik-users-help@xmlgraphics.apache.org


Mime
View raw message